<template>
<section class="section">
    <div class="container">
    
        <articleItem v-for="article in articlesData" :key="article.id" :article="article"></articleItem>

        <b-pagination
            :total="pgTotal"
            :current="pgCurrent"
            :order="paging.order"
            :size="paging.size"
            :simple="paging.isSimple"
            :per-page="pgPerPage"
            @change="pageChanged">
        </b-pagination>

    </div>
</section>
</template>

<script>
import { mapState } from 'vuex'

import ArticleItem from '~components/ArticleItem.vue'

export default {
    components: {
        ArticleItem
    },
    data() {
        return {
            paging: {
                order: '',
                size: '',
                isSimple: false
            }
        }
    },
    computed: mapState({
        articlesData: (state) => state.articles.data,
        pgTotal: (state) => state.articles.total,
        pgPerPage: (state) => state.articles.limit,
        pgCurrent: (state) => state.articles.currentPage
    }),
    methods: {
        pageChanged(value) {
            this.$router.push('/blog/'+value)
        }
    }
}
</script>